### Function

# GLib ThreadPool get_max_idle_time

since: 2.10

#### Declaration

    guint
    g_thread_pool_get_max_idle_time (
      void
    )

#### Description

This function will return the maximum `interval` that a thread will wait in the thread pool for new tasks before being stopped.

If this function returns 0, threads waiting in the thread pool for new work are not stopped.

Available since: 2.10

#### Return value

Type: `guint`

The maximum `interval` (milliseconds) to wait for new tasks in the thread pool before stopping the thread.